Last modified: 2014-01-09 12:50:34 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 29596 - Add DynamicPageList on fr.wikt
Add DynamicPageList on fr.wikt
Status: REOPENED
Product: Wikimedia
Classification: Unclassified
Extension setup (Other open bugs)
unspecified
All All
: Lowest enhancement with 4 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
: shell
Depends on:
Blocks: 12423
  Show dependency treegraph
 
Reported: 2011-06-26 19:31 UTC by JackPotte
Modified: 2014-01-09 12:50 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description JackPotte 2011-06-26 19:31:21 UTC
Please install DynamicPageList on fr.wikt.
Consensus: http://fr.wiktionary.org/wiki/Wiktionnaire:Wikid%C3%A9mie#Installation_de_MW:DynamicPageList
Comment 1 Sam Reed (reedy) 2011-07-08 22:54:17 UTC
Extension needs fixing first
Comment 2 Dave Ross 2011-10-20 20:15:34 UTC
The extension is currently live on MW wikis, if it is so broken that it shouldn't be it should be removed, if it is not that broken then it should be enabled for fr.wikt.
Comment 4 automatik68 2013-11-11 03:33:11 UTC
DynamicPageList https://www.mediawiki.org/wiki/Extension:DynamicPageList_%28Wikimedia%29 seems to work know, it's installed on en.wiktionary, see https://en.wiktionary.org/wiki/Special:Version
Comment 5 Bawolff (Brian Wolff) 2013-11-11 03:39:18 UTC
Re-opening. I think this request should be either accepted or rejected, not held in limbo land forever. If one dayu DynamicPageList is rewritten to be super efficient, previously WONTFIXED requests can be re-examined.

(In reply to comment #4)
> DynamicPageList
> https://www.mediawiki.org/wiki/Extension:DynamicPageList_%28Wikimedia%29
> seems
> to work know, it's installed on en.wiktionary, see
> https://en.wiktionary.org/wiki/Special:Version

The extension has some bad performance characteristics, I'm not sure, but I imagine people might not want it enabled on any more of the larger wikis than it already is. The fact it is enabled on enwiktionary is probably a historical accident more than anything else.
Comment 6 Andre Klapper 2013-11-11 11:44:43 UTC
Does a 2 year old consensus still stand, or would we need a new one? :-/
Comment 7 Bawolff (Brian Wolff) 2013-11-11 15:27:18 UTC
(In reply to comment #6)
> Does a 2 year old consensus still stand, or would we need a new one? :-/

In order to avoid wasting effort, we should probably figure out if we would even enable this extension here (likely answer is no imo) before asking for new community concensus.
Comment 8 JackPotte 2013-11-11 15:37:58 UTC
The consensus is still waiting for this installation on https://fr.wiktionary.org/wiki/Wiktionnaire:Bugzilla
Comment 9 Vive la Rosière 2013-11-22 15:59:30 UTC
> In order to avoid wasting effort, we should probably figure out if we would
even enable this extension here [...]

Of course yes, this extension would solve the big problem of categorisation.

We can't look in the same time in mother category and daugther category. So actually some peoples complain that category are too wide or, in contrary, to splitted. With this extension we should please the both side, and this problem is inherent to, at least, all the wiktionaries project. So if it can be useful for us, it should be also useful to other ones.

On fr.wiktionary only we have the support of the whole community, quite sure if people from other projects know about this things they'll support it.
Comment 10 Andre Klapper 2014-01-09 12:50:34 UTC
The only argument (ignoring comment 1) so far is "DPL is not performant" (comment 5). There might be more reasons but they are not written here (yet).

DPL is in use already (see e.g. bug 59798 comment 11) though those wikis might be way smaller. It is unclear which existing DPL bugs (bug reports) should block its deployment on fr.wikt, if any.

Assuming that the performance argument is not completely made up, DPL might need a code review first. CC'ing Greg (Rel Mgmt) and Ori (Performance).

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links